summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rw-r--r--media-sound/mpd/Manifest1
-rw-r--r--media-sound/mpd/mpd-0.21.20.ebuild298
2 files changed, 299 insertions, 0 deletions
diff --git a/media-sound/mpd/Manifest b/media-sound/mpd/Manifest
index df847eba1d2a..c064996fd768 100644
--- a/media-sound/mpd/Manifest
+++ b/media-sound/mpd/Manifest
@@ -1,2 +1,3 @@
DIST mpd-0.21.18.tar.xz 676084 BLAKE2B f55ea278da4b50bf24da476ed9e3ff50a8130215702fb5c4a0accdbfeb00ed734983034ce6ee0542623e42d488555b1c709acefbba026f0e01f17f25f749b833 SHA512 68b4d9dc4be8454d7ef92df2a7b42513dc2d97bfd6b11ba99bce6709fc58ccbeab05419863bacb7a3427f1325bc88da74f9f4b48206222349085f02d0135e1a8
DIST mpd-0.21.19.tar.xz 676020 BLAKE2B 295dd9067b8517739334fa09d4afc95f1167f291441bc34c4e5c4177bda66ef60eb3f4184f9192242faf64997b05d1c0a13736d1d6a3f343317271acc24a0e70 SHA512 50609b104b84b37dbb297fb40e8f4b352f13de7be5791b8d48c3af3459bfa0f0f88d1d37dcbb0d2409aaee881bca7a7bf6f871b82418ddade19829b02a2bde6a
+DIST mpd-0.21.20.tar.xz 676396 BLAKE2B e87d844ac0b20f10df7d2306d1c76f76ead84f5e61acb51f60d62847b1fb4f2ada66b20e0a36d87eaf70289027139e4beb80ea8ef7637b1cdb656c9635adb720 SHA512 9dd49190ba4c85014d24e88cdb02a4649e8fb687a49fc9ea019f23725eda483980008e9abebf0ad3960bd310b693c56999699d7c7ddee3ca18e9b2aa6d5a2176
diff --git a/media-sound/mpd/mpd-0.21.20.ebuild b/media-sound/mpd/mpd-0.21.20.ebuild
new file mode 100644
index 000000000000..8ef1c4dc8826
--- /dev/null
+++ b/media-sound/mpd/mpd-0.21.20.ebuild
@@ -0,0 +1,298 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit flag-o-matic linux-info meson systemd xdg-utils
+
+DESCRIPTION="The Music Player Daemon (mpd)"
+HOMEPAGE="https://www.musicpd.org https://github.com/MusicPlayerDaemon/MPD"
+SRC_URI="https://www.musicpd.org/download/${PN}/${PV%.*}/${P}.tar.xz"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~hppa ~ppc ~ppc64 ~sh ~x86 ~x64-macos"
+IUSE="+alsa ao +audiofile bzip2 cdio chromaprint +cue +curl +dbus debug
+ +eventfd expat faad +ffmpeg +fifo flac fluidsynth gme +icu +id3tag +inotify
+ +ipv6 jack lame libav libmpdclient libsamplerate libsoxr +mad mikmod mms
+ modplug mpg123 musepack +network nfs openal opus oss pipe pulseaudio qobuz
+ recorder samba selinux sid signalfd sndfile soundcloud sqlite systemd
+ test tidal twolame udisks unicode vorbis wavpack webdav wildmidi upnp
+ zeroconf zip zlib"
+
+OUTPUT_PLUGINS="alsa ao fifo jack network openal oss pipe pulseaudio recorder"
+DECODER_PLUGINS="audiofile faad ffmpeg flac fluidsynth mad mikmod
+ modplug mpg123 musepack flac sid vorbis wavpack wildmidi"
+ENCODER_PLUGINS="audiofile flac lame twolame vorbis"
+
+REQUIRED_USE="
+ || ( ${OUTPUT_PLUGINS} )
+ || ( ${DECODER_PLUGINS} )
+ network? ( || ( ${ENCODER_PLUGINS} ) )
+ recorder? ( || ( ${ENCODER_PLUGINS} ) )
+ upnp? ( expat )
+ webdav? ( curl expat )
+ "
+
+RESTRICT="!test? ( test )"
+
+RDEPEND="
+ acct-user/mpd
+ alsa? (
+ media-libs/alsa-lib
+ media-sound/alsa-utils
+ )
+
+ ao? ( media-libs/libao[alsa?,pulseaudio?] )
+ audiofile? ( media-libs/audiofile:= )
+
+ cdio? (
+ dev-libs/libcdio:=
+ dev-libs/libcdio-paranoia
+ )
+
+ chromaprint? ( media-libs/chromaprint )
+ curl? ( net-misc/curl )
+ dbus? ( sys-apps/dbus )
+ expat? ( dev-libs/expat )
+ faad? ( media-libs/faad2 )
+
+ ffmpeg? (
+ libav? ( media-video/libav:0= )
+ !libav? ( media-video/ffmpeg:0= )
+ )
+
+ flac? ( media-libs/flac )
+ fluidsynth? ( media-sound/fluidsynth )
+ gme? ( >=media-libs/game-music-emu-0.6.0_pre20120802 )
+ icu? ( dev-libs/icu:= )
+ id3tag? ( media-libs/libid3tag )
+ jack? ( virtual/jack )
+ lame? ( network? ( media-sound/lame ) )
+ libmpdclient? ( media-libs/libmpdclient )
+ libsamplerate? ( media-libs/libsamplerate )
+ libsoxr? ( media-libs/soxr )
+ mad? ( media-libs/libmad )
+ mikmod? ( media-libs/libmikmod )
+ mms? ( media-libs/libmms )
+ modplug? ( media-libs/libmodplug )
+ mpg123? ( media-sound/mpg123 )
+ musepack? ( media-sound/musepack-tools )
+ network? ( media-libs/libshout )
+ nfs? ( net-fs/libnfs )
+ openal? ( media-libs/openal )
+ opus? ( media-libs/opus )
+ pulseaudio? ( media-sound/pulseaudio )
+ qobuz? ( dev-libs/libgcrypt:0 )
+ samba? ( net-fs/samba )
+ selinux? ( sec-policy/selinux-mpd )
+ sid? ( || (
+ media-libs/libsidplay:2
+ media-libs/libsidplayfp
+ ) )
+ sndfile? ( media-libs/libsndfile )
+ soundcloud? ( >=dev-libs/yajl-2:= )
+ sqlite? ( dev-db/sqlite:3 )
+ systemd? ( sys-apps/systemd )
+ tidal? ( dev-libs/yajl
+ net-misc/curl )
+ twolame? ( media-sound/twolame )
+ udisks? ( sys-fs/udisks:2 )
+ upnp? ( net-libs/libupnp:0 )
+ vorbis? ( media-libs/libvorbis )
+ wavpack? ( media-sound/wavpack )
+ wildmidi? ( media-sound/wildmidi )
+ zeroconf? ( net-dns/avahi[dbus] )
+ zip? ( dev-libs/zziplib )
+ zlib? ( sys-libs/zlib:= )"
+
+DEPEND="${RDEPEND}
+ >=dev-libs/boost-1.58:=
+ test? ( dev-cpp/gtest )"
+
+BDEPEND=">=dev-util/meson-0.49.2
+ virtual/pkgconfig"
+
+PATCHES=(
+ "${FILESDIR}"/${PN}-0.18.conf.patch
+)
+
+pkg_setup() {
+ if use eventfd; then
+ CONFIG_CHECK+=" ~EVENTFD"
+ ERROR_EVENTFD="${P} requires eventfd in-kernel support."
+ fi
+
+ if use signalfd; then
+ CONFIG_CHECK+=" ~SIGNALFD"
+ ERROR_SIGNALFD="${P} requires signalfd in-kernel support."
+ fi
+
+ if use inotify; then
+ CONFIG_CHECK+=" ~INOTIFY_USER"
+ ERROR_INOTIFY_USER="${P} requires inotify in-kernel support."
+ fi
+
+ if use eventfd || use signalfd || use inotify; then
+ linux-info_pkg_setup
+ fi
+
+ elog "If you will be starting mpd via /etc/init.d/mpd, please make
+ sure that MPD's pid_file is _set_."
+}
+
+src_prepare() {
+ cp -f doc/mpdconf.example doc/mpdconf.dist || die "cp failed"
+ default
+}
+
+src_configure() {
+ local emesonargs=(
+ -Dbzip2=$(usex bzip2 enabled disabled)
+ -Dcdio_paranoia=$(usex cdio enabled disabled)
+ -Dchromaprint=$(usex chromaprint enabled disabled)
+ -Dcue=$(usex cue true false)
+ -Dcurl=$(usex curl enabled disabled)
+ -Ddbus=$(usex dbus enabled disabled)
+ -Ddebug=$(usex debug true false)
+ -Deventfd=$(usex eventfd true false)
+ -Dexpat=$(usex expat enabled disabled)
+ -Dicu=$(usex icu enabled disabled)
+ -Did3tag=$(usex id3tag enabled disabled)
+ -Dinotify=$(usex inotify true false)
+ -Dipv6=$(usex ipv6 enabled disabled)
+ -Diso9660=$(usex cdio enabled disabled)
+ -Dlibmpdclient=$(usex libmpdclient enabled disabled)
+ -Dlibsamplerate=$(usex libsamplerate enabled disabled)
+ -Dmms=$(usex mms enabled disabled)
+ -Dnfs=$(usex nfs enabled disabled)
+ -Dsignalfd=$(usex signalfd true false)
+ -Dsmbclient=$(usex samba enabled disabled)
+ -Dsoxr=$(usex libsoxr enabled disabled)
+ -Dsqlite=$(usex sqlite enabled disabled)
+ -Dsystemd=$(usex systemd enabled disabled)
+ -Dtest=$(usex test true false)
+ -Dudisks=$(usex udisks enabled disabled)
+ -Dupnp=$(usex upnp enabled disabled)
+ -Dwebdav=$(usex webdav enabled disabled)
+ -Dzeroconf=$(usex zeroconf avahi disabled)
+ -Dzlib=$(usex zlib enabled disabled)
+ -Dzzip=$(usex zip enabled disabled)
+ )
+
+ emesonargs+=(
+ -Dalsa=$(usex alsa enabled disabled)
+ -Dao=$(usex ao enabled disabled)
+ -Dfifo=$(usex fifo true false)
+ -Djack=$(usex jack enabled disabled)
+ -Dopenal=$(usex openal enabled disabled)
+ -Doss=$(usex oss enabled disabled)
+ -Dpipe=$(usex pipe true false)
+ -Dpulse=$(usex pulseaudio enabled disabled)
+ -Drecorder=$(usex recorder true false)
+ )
+
+ if use samba || use upnp; then
+ emesonargs+=( -Dneighbor=true )
+ fi
+
+ append-lfs-flags
+ append-ldflags "-L/usr/$(get_libdir)/sidplay/builders"
+
+ if use network; then
+
+ emesonargs+=(
+ -Dshine=disabled
+ -Dshout=enabled
+ -Dvorbisenc=$(usex vorbis enabled disabled)
+ -Dhttpd=true
+ -Dlame=$(usex lame enabled disabled)
+ -Dtwolame=$(usex twolame enabled disabled)
+ -Dwave_encoder=$(usex audiofile true false)
+ )
+ fi
+
+ emesonargs+=(
+ # media-libs/adplug is not packaged anymore
+ -Dadplug=disabled
+ -Daudiofile=$(usex audiofile enabled disabled)
+ -Dfaad=$(usex faad enabled disabled)
+ -Dffmpeg=$(usex ffmpeg enabled disabled)
+ -Dflac=$(usex flac enabled disabled)
+ -Dfluidsynth=$(usex fluidsynth enabled disabled)
+ -Dgme=$(usex gme enabled disabled)
+ -Dmad=$(usex mad enabled disabled)
+ -Dmikmod=$(usex mikmod enabled disabled)
+ -Dmodplug=$(usex modplug enabled disabled)
+ -Dmpcdec=$(usex musepack enabled disabled)
+ -Dmpg123=$(usex mpg123 enabled disabled)
+ -Dopus=$(usex opus enabled disabled)
+ -Dsidplay=$(usex sid enabled disabled)
+ -Dsndfile=$(usex sndfile enabled disabled)
+ -Dvorbis=$(usex vorbis enabled disabled)
+ -Dwavpack=$(usex wavpack enabled disabled)
+ -Dwildmidi=$(usex wildmidi enabled disabled)
+
+ )
+
+ emesonargs+=(
+ -Dqobuz=$(usex qobuz enabled disabled)
+ -Dsoundcloud=$(usex soundcloud enabled disabled)
+ -Dtidal=$(usex tidal enabled disabled)
+ )
+
+ emesonargs+=(
+ --libdir="/usr/$(get_libdir)"
+ -Ddocumentation=false
+ -Dsndio=disabled #not yet in the tree
+ -Dsolaris_output=disabled
+
+ -Ddatabase=true
+ -Ddsd=true
+ -Dtcp=true
+
+ -Dsystemd_system_unit_dir="$(systemd_get_systemunitdir)"
+ -Dsystemd_user_unit_dir="$(systemd_get_userunitdir)"
+ )
+
+ if use icu; then
+ emesonargs+=( -Diconv=enabled )
+ else
+ emesonargs+=( -Diconv=disabled )
+ fi
+
+ meson_src_configure
+}
+
+src_install() {
+ meson_src_install
+
+ insinto /etc
+ newins doc/mpdconf.dist mpd.conf
+
+ insinto /etc/logrotate.d
+ newins "${FILESDIR}"/${PN}-0.21.1.logrotate ${PN}
+
+ newinitd "${FILESDIR}"/${PN}-0.21.4.init ${PN}
+
+ if use unicode; then
+ sed -i -e 's:^#filesystem_charset.*$:filesystem_charset "UTF-8":' \
+ "${ED}"/etc/mpd.conf || die "sed failed"
+ fi
+
+ doman doc/mpd.1
+ doman doc/mpd.conf.5
+
+ keepdir /var/lib/mpd
+ keepdir /var/lib/mpd/music
+ keepdir /var/lib/mpd/playlists
+
+}
+
+pkg_postinst() {
+ xdg_icon_cache_update
+}
+
+pkg_postrm() {
+ xdg_icon_cache_update
+}